<?php
if ( ! defined( 'ABSPATH' ) ) exit;
?>
<script>
  jQuery( function() {
    jQuery( "#accordion5" ).accordion({
      collapsible: true,
      heightStyle: "content"
    });
  } );
</script>
<div id="help_tabs-5">
  <div id="accordion5">
  <h3>Meta Description</h3>
        <div>
          <p>Our plugin offers a feature to automatically generate meta descriptions for your content.</p>
          <p>You can enable this feature from <b>Settings → SEO</b> tab.</p>
          <p>Here, you will find two separate checkboxes to enable this functionality.</p>
          <p><b>Meta Descriptions: </b>By selecting the "Meta Descriptions" checkbox, our plugin will generate a meta description for your content which will be visible under the SEO tab in the content writer page.</p>
          <p><b>Include in HTML: </b>By selecting the "Include in HTML" checkbox, our plugin will insert the generated meta description directly into the HTML of the page.</p>
          <p>We understand that many WordPress users already use popular SEO tools to generate their own meta tags, so we have added an option for you to choose whether or not to include a meta description in the HTML code of your post.</p>
          <p>If you uncheck this feature, the meta description will still be generated but not injected into the HTML code. You can copy and paste it into the meta description field instead.</p>
          <p>However, if you're not using any SEO plugin, you can simply check this feature and the meta tag will be inserted automatically.</p>
          <p><b>Example:</b></p>
          <p><b>Title:</b> Mobile Phones</p>
          <p><b>Generated Meta Description:</b> Mobile phones are electronic devices that allow you to make calls, send text messages, and browse the internet.</p>
          <p>If you check your HTML code, you will see the following meta description:</p>
          <p><code>--- This meta description generated by AI Power Plugin ---</code></p>
          <p><code>meta name="description" content="Mobile phones are electronic devices that allow you to make calls, send text messages, and browse the internet."</code></p>
          <p><code>meta name="og:description" content="Mobile phones are electronic devices that allow you to make calls, send text messages, and browse the internet."</code></p>
        </div>
    <h3>Integrations</h3>
        <div>
          <p>We offer seamless integration with three of the most popular SEO plugins in the market - <b>Yoast SEO</b>, <b>All in One SEO</b>, and <b>Math Rank</b>.</p>
          <p>If you have one of these plugins installed and enabled, you can take advantage of our integration feature by enabling this option from <b>Settings → SEO</b> tab.</p>
          <p>This option allows our plugin to automatically update the meta fields in the corresponding SEO plugin whenever a meta description is generated for your content.</p>
          <p>For example, if you have Math Rank installed and enabled on your website, you will see an additional checkbox option labeled "Update Math Rank Meta" under the <b>Settings → SEO</b> tab.</p>
          <p>Enabling this option will allow our plugin to automatically update the meta description field for Math Rank. This ensures that your website's meta descriptions are consistent and optimized across all of your SEO tools.</p>
        </div>
    <h3>FAQ</h3>
        <div>
          <p><b>I don't understand why there is such an option called "Include in HTML"? Isn't the whole purpose of generating meta descriptions to include them in the HTML code?</b></p>
          <p>Many WordPress users already use popular SEO tools to generate their own meta tags, so we have added an option for you to choose whether or not to include a meta description in the HTML code of your post.</p>
          <p>Because having multiple meta descriptions can cause problems with search engines. This is the main reason we have such an option.</p>
        </div>
  </div>
</div>